<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">


<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="obj_operator.xsd"/>

	<xsd:element name="OLD_PASSWORD" type="xsd:string"/>


	<xsd:element name="TRANS_OPERATOR">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="NEW_OPERATOR">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OPERATOR"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="CHANGE_PASSWORD">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:element ref="OLD_PASSWORD"/>
				<xsd:element ref="NEW_PASSWORD"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	
	<xsd:element name="DISABLE_OPERATOR">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:element ref="DISABLED"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UNLOCK_OPERATOR">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="DELETE_OPERATOR">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="RENAME_OPERATOR">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OPERATOR"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_OPERATOR_AUDIBLE_ALARM">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:element ref="AUDIBLE_ALARM_DATA" />
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other" />
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_OPERATOR_AUDIBLE_ALARM">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="USER_NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="NEW_OPERATOR"/>
			<xsd:element ref="CHANGE_PASSWORD"/>
			<xsd:element ref="DELETE_OPERATOR"/>
			<xsd:element ref="RENAME_OPERATOR"/>
			<xsd:element ref="DISABLE_OPERATOR"/>
			<xsd:element ref="UNLOCK_OPERATOR"/>
			<xsd:element ref="SET_OPERATOR_AUDIBLE_ALARM"/>
			<xsd:element ref="GET_OPERATOR_AUDIBLE_ALARM"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
